summaryrefslogtreecommitdiff
path: root/cleopatre/application/fw_wd/S99fwwatchd
diff options
context:
space:
mode:
Diffstat (limited to 'cleopatre/application/fw_wd/S99fwwatchd')
-rwxr-xr-xcleopatre/application/fw_wd/S99fwwatchd43
1 files changed, 43 insertions, 0 deletions
diff --git a/cleopatre/application/fw_wd/S99fwwatchd b/cleopatre/application/fw_wd/S99fwwatchd
new file mode 100755
index 0000000000..cb0000edfd
--- /dev/null
+++ b/cleopatre/application/fw_wd/S99fwwatchd
@@ -0,0 +1,43 @@
+#!/bin/sh
+#
+# Start the fwwatchd daemon...
+#
+
+DAEMON=/usr/bin/fwwatchd
+PIDFILE=/var/run/fwwatchd.pid
+
+test -f $DAEMON || exit 0
+
+start() {
+ echo "Starting fwwatchd..."
+ $DAEMON &
+ echo $! > $PIDFILE
+}
+stop() {
+ echo "Stopping fwwatchd..."
+ if [ -r $PIDFILE ]
+ then
+ kill $(cat $PIDFILE)
+ fi
+}
+restart() {
+ stop
+ start
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart|reload)
+ restart
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+esac
+
+exit $?